/****************************************************************************
** Form implementation generated from reading ui file 'SimulationDialog.ui'
**
** Created: Fr Feb 6 09:43:28 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "SimulationDialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "gui_canvas.h"

/*
 *  Constructs a SimulationDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SimulationDialog::SimulationDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SimulationDialog" );
    SimulationDialogLayout = new QVBoxLayout( this, 11, 6, "SimulationDialogLayout"); 

    canvasView = new MyCanvasView( this, "canvasView" );
    canvasView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, canvasView->sizePolicy().hasHeightForWidth() ) );
    SimulationDialogLayout->addWidget( canvasView );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    startSimulationButton = new QPushButton( this, "startSimulationButton" );
    layout10->addWidget( startSimulationButton );

    resumeSimulationButton = new QPushButton( this, "resumeSimulationButton" );
    layout10->addWidget( resumeSimulationButton );

    stopSimulationButton = new QPushButton( this, "stopSimulationButton" );
    layout10->addWidget( stopSimulationButton );
    SimulationDialogLayout->addLayout( layout10 );
    languageChange();
    resize( QSize(723, 520).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SimulationDialog::~SimulationDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SimulationDialog::languageChange()
{
    setCaption( tr( "Walking Robot Simulation" ) );
    startSimulationButton->setText( tr( "st&art simulation" ) );
    resumeSimulationButton->setText( tr( "&resume simulation" ) );
    resumeSimulationButton->setAccel( QKeySequence( tr( "Alt+R" ) ) );
    stopSimulationButton->setText( tr( "st&op simulation" ) );
    stopSimulationButton->setAccel( QKeySequence( tr( "Alt+O" ) ) );
}

