#ifndef __V24_STRINGS_H__
#define __V24_STRINGS_H__

// V24 Errorcodes 
#define V24_ERRORCODE_UNKNOWN_COMMAND			0x01
#define V24_ERRORCODE_GRIDSIZE_TOO_LARGE		0x02


const char v24ErrorCodes[5][255] = {	"", 
				"unknown command", 	// V24_ERRORCODE_UNKNOWN_COMMAND
				"gridsize too large"	// V24_ERRORCODE_GRID_TOO_LARGE
				"size error"		// V24_ERRORCODE_SIZE_ERROR
};


const char v24Modes[5][255] = {"MAIN_MODE_STOP",
				"MAIN_MODE_WALK_POLICY",
				"MAIN_MODE_EXPLORE_FEEDBACK",
				"MAIN_MODE_READ_V24",
				"MAIN_MODE_LEARN"
};


#endif

