#ifndef QLEARNING_H
#define QLEARNING_H

#include <qthread.h>
#include "SimulationMainWindow.h"
#include "NNetwork.h"
#include "valueIteration.h"
#include "qWorld.h"

/**
 * Klasse die den Lern-Algorithmus realisiert
 */
class qLearningThread : public ValueIterationThread
{
	public:
		 qLearningThread(int _g, int _iHiddenLayers, int _iHiddenUnits);
	private:
		virtual void learn(int _speed, long double _gamma);
		virtual long double evaluate(int action, int _x, int _y);
		virtual void printMatrix();
};


#endif
