/****************************************************************************
** Form implementation generated from reading ui file 'BioloidMainWindow.ui'
**
** Created: Mi Mär 25 14:54:52 2009
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "BioloidMainWindow.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qdial.h>
#include <qtable.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qaction.h>
#include <qmenubar.h>
#include <qpopupmenu.h>
#include <qtoolbar.h>

/*
 *  Constructs a BioloidMainWindow as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 */
BioloidMainWindow::BioloidMainWindow( QWidget* parent, const char* name, WFlags fl )
    : QMainWindow( parent, name, fl )
{
    (void)statusBar();
    if ( !name )
	setName( "BioloidMainWindow" );
    setCentralWidget( new QWidget( this, "qt_central_widget" ) );

    selectionGroup = new QGroupBox( centralWidget(), "selectionGroup" );
    selectionGroup->setGeometry( QRect( 10, 10, 320, 210 ) );

    QWidget* privateLayoutWidget = new QWidget( selectionGroup, "layout3" );
    privateLayoutWidget->setGeometry( QRect( 40, 20, 250, 180 ) );
    layout3 = new QGridLayout( privateLayoutWidget, 1, 1, 11, 6, "layout3"); 
    spacer1 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout3->addItem( spacer1, 1, 0 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    axselector = new QComboBox( FALSE, privateLayoutWidget, "axselector" );
    layout2->addWidget( axselector );

    axactivator = new QPushButton( privateLayoutWidget, "axactivator" );
    layout2->addWidget( axactivator );

    layout3->addLayout( layout2, 0, 0 );

    positionGroup = new QGroupBox( centralWidget(), "positionGroup" );
    positionGroup->setGeometry( QRect( 350, 10, 230, 210 ) );

    AX_Position = new QDial( positionGroup, "AX_Position" );
    AX_Position->setEnabled( FALSE );
    AX_Position->setGeometry( QRect( 30, 30, 150, 150 ) );
    AX_Position->setNotchesVisible( TRUE );
    AX_Position->setMaxValue( 360 );

    DataGroup = new QGroupBox( centralWidget(), "DataGroup" );
    DataGroup->setGeometry( QRect( 10, 230, 570, 190 ) );

    AXTable = new QTable( DataGroup, "AXTable" );
    AXTable->setNumCols( AXTable->numCols() + 1 );
    AXTable->horizontalHeader()->setLabel( AXTable->numCols() - 1, tr( "PresentPosition" ) );
    AXTable->setNumCols( AXTable->numCols() + 1 );
    AXTable->horizontalHeader()->setLabel( AXTable->numCols() - 1, tr( "PresentSpeed" ) );
    AXTable->setNumCols( AXTable->numCols() + 1 );
    AXTable->horizontalHeader()->setLabel( AXTable->numCols() - 1, tr( "PresentTemperature" ) );
    AXTable->setNumCols( AXTable->numCols() + 1 );
    AXTable->horizontalHeader()->setLabel( AXTable->numCols() - 1, tr( "PresentVoltage" ) );
    AXTable->setNumCols( AXTable->numCols() + 1 );
    AXTable->horizontalHeader()->setLabel( AXTable->numCols() - 1, tr( "PresentTorque" ) );
    AXTable->setGeometry( QRect( 10, 20, 550, 90 ) );
    AXTable->setNumRows( 1 );
    AXTable->setNumCols( 5 );

    // actions
    helpContentsAction = new QAction( this, "helpContentsAction" );
    helpIndexAction = new QAction( this, "helpIndexAction" );
    helpAboutAction = new QAction( this, "helpAboutAction" );
    Scan_Bus = new QAction( this, "Scan_Bus" );


    // toolbars


    // menubar
    menubar = new QMenuBar( this, "menubar" );

    menubar->setAcceptDrops( TRUE );

    Bus = new QPopupMenu( this );
    Scan_Bus->addTo( Bus );
    menubar->insertItem( QString(""), Bus, 2 );

    helpMenu = new QPopupMenu( this );
    helpContentsAction->addTo( helpMenu );
    helpIndexAction->addTo( helpMenu );
    helpMenu->insertSeparator();
    helpAboutAction->addTo( helpMenu );
    menubar->insertItem( QString(""), helpMenu, 3 );

    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( helpIndexAction, SIGNAL( activated() ), this, SLOT( helpIndex() ) );
    connect( helpContentsAction, SIGNAL( activated() ), this, SLOT( helpContents() ) );
    connect( helpAboutAction, SIGNAL( activated() ), this, SLOT( helpAbout() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
BioloidMainWindow::~BioloidMainWindow()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void BioloidMainWindow::languageChange()
{
    setCaption( tr( "Bioloid" ) );
    selectionGroup->setTitle( tr( "Servo selection" ) );
    axactivator->setText( tr( "&Activate" ) );
    axactivator->setAccel( QKeySequence( tr( "Alt+A" ) ) );
    positionGroup->setTitle( tr( "Position for activated servo" ) );
    DataGroup->setTitle( tr( "Sensor readings" ) );
    AXTable->horizontalHeader()->setLabel( 0, tr( "PresentPosition" ) );
    AXTable->horizontalHeader()->setLabel( 1, tr( "PresentSpeed" ) );
    AXTable->horizontalHeader()->setLabel( 2, tr( "PresentTemperature" ) );
    AXTable->horizontalHeader()->setLabel( 3, tr( "PresentVoltage" ) );
    AXTable->horizontalHeader()->setLabel( 4, tr( "PresentTorque" ) );
    helpContentsAction->setText( tr( "Contents" ) );
    helpContentsAction->setMenuText( tr( "&Contents..." ) );
    helpContentsAction->setAccel( QString::null );
    helpIndexAction->setText( tr( "Index" ) );
    helpIndexAction->setMenuText( tr( "&Index..." ) );
    helpIndexAction->setAccel( QString::null );
    helpAboutAction->setText( tr( "About" ) );
    helpAboutAction->setMenuText( tr( "&About" ) );
    helpAboutAction->setAccel( QString::null );
    Scan_Bus->setText( tr( "Scan Bus" ) );
    Scan_Bus->setMenuText( tr( "Scan Bus" ) );
    if (menubar->findItem(2))
        menubar->findItem(2)->setText( tr( "Bus" ) );
    if (menubar->findItem(3))
        menubar->findItem(3)->setText( tr( "&Help" ) );
}

void BioloidMainWindow::helpIndex()
{
    qWarning( "BioloidMainWindow::helpIndex(): Not implemented yet" );
}

void BioloidMainWindow::helpContents()
{
    qWarning( "BioloidMainWindow::helpContents(): Not implemented yet" );
}

void BioloidMainWindow::helpAbout()
{
    qWarning( "BioloidMainWindow::helpAbout(): Not implemented yet" );
}

void BioloidMainWindow::Scan_Bus_activated()
{
    qWarning( "BioloidMainWindow::Scan_Bus_activated(): Not implemented yet" );
}

