#!/bin/bash

DATUM=`date +"%Y-%m-%d"`
HEX_FILENAME=download-${DATUM}__$$.hex
FUSES_FILENAME=download-fuses-${DATUM}__$$.txt

echo saving controller code to file: $HEX_FILENAME
uisp -dprog=dasa2 -dserial=/dev/ttyS0 -dpart=atmega16 --download of=${HEX_FILENAME}

echo memorizing fuses to file: $FUSES_FILENAME
uisp -dprog=dasa2 -dserial=/dev/ttyS0 -dpart=atmega16 --rd_fuses > ${FUSES_FILENAME}
