/*
*  C Implementation: global
*
* Description:  Implementation of new- and delete-operators
*
*
* Author: Michel Tokic <michel@tokic.com>, (C) 2009
*
* Copyright: See COPYING file that comes with this distribution
*
*/
#include <stdlib.h> 

void * operator new(size_t size)
{
  return malloc(size);
}

void operator delete(void * ptr)
{
  free(ptr);
}

void * operator new[](size_t size)
{
    return malloc(size);
}

void operator delete[](void * ptr)
{
    free(ptr);
} 

