#ifndef __FEEDBACK_H__
#define __FEEDBACK_H__

#define FEEDBACK_SENSOR_0 0x00
#define FEEDBACK_SENSOR_1 0x01

#define FEEDBACK_THRESHOLD 2

#include "global.h"


class FeedbackSensor {

	public:
		void init();
		void enableSensor();
		void disableSensor();
		char getFeedback();
		void invertSensor(unsigned char _sensorId, bool _state);

	private: 
		bool feedback_inv0, feedback_inv1;
};

#endif

