#ifndef __SPI_H__
#define __SPI_H__

#include "global.h"


#define SPI_SCK_PIN  		(1<<PB7)
#define SPI_MOSI_PIN 		(1<<PB5)
#define SPI_MOSI_PIN_NR 	5
#define SPI_MISO_PIN 		(1<<PB6)
#define SPI_MISO_PIN_NR 	6
#define SPI_PORTR 		PORTB
#define SPI_PINR		PINB
#define SPI_DDR	 		DDRB


class Spi {

	public:
		void init();
		void enableSPI();
		void disableSPI();
		void writeData(unsigned char _byte);
		unsigned char readData();
};


#endif
