#ifndef ENVIRONMENT_H
#define ENVIRONMENT_H

#define XMAX	100
#define YMAX	100

#define NUMBEROFACTIONS	04

#define UP	00
#define DOWN	01
#define LEFT   02
#define RIGHT	03
#define NOTHING     04

int xPos, yPos;



/**
* Veraenderung der Position und Meldung des Feedbacks
* @param action
* @return
*/
int peter_move(int action) {
	switch(action) {
		case DOWN:	{
			yPos++;
			break;
		}
		case UP:	{
			yPos--;
			break;
		}
		case RIGHT:	{
			xPos++;
			if(yPos == 0) return -1;
			break;
		}
		case LEFT:	{
			xPos--;
			if(yPos == 0) return 1;
			break;
		}
	}
	return 0;
}

#endif
